Subject: Re: bug#25265: make-thread crashes in OS X 10.6

From: [email-masked] (Charles A. Roelli)
Date: Wed, 08 Mar 2017 21:17:48 +0100

On Mon, Mar 06 2017 at 08:02:16 pm, Alan Third wrote:

> [email-masked] (Charles A. Roelli) writes:
>
>> Running Emacs -Q on the latest commit (e36a3882),
>>
>> M-: (make-thread (lambda () "string"))
>>
>> appears to hang Emacs immediately.
>
> I've just pushed a new fix for this to master. If anyone is able to test
> it and let me know if they run into any problems, I would be grateful.

Fixes the bug for me!  Thank you for working on this.  I didn't notice
any adverse changes in Emacs behavior with your patch, but I haven't yet
been running it for too long.  Will report back soon again.